# Uses of Class
javax.crypto.KEM.Encapsulated

Packages that use KEM.Encapsulated
Package
Description
javax.crypto
Provides the classes and interfaces for cryptographic operations.

## Uses of KEM.Encapsulated in javax.crypto

Methods in javax.crypto that return KEM.Encapsulated
Modifier and Type
Method
Description
`KEM.Encapsulated`
KEM.Encapsulator.`encapsulate()`
The key encapsulation function.
`KEM.Encapsulated`
KEM.Encapsulator.`encapsulate(int from, int to, String algorithm)`
The key encapsulation function.
`KEM.Encapsulated`
KEMSpi.EncapsulatorSpi.`engineEncapsulate(int from, int to, String algorithm)`
The key encapsulation function.